org.apache.hadoop.lib.wsrs

## Class BooleanParam

- java.lang.Object
- - org.apache.hadoop.lib.wsrs.Param<Boolean>
  - - org.apache.hadoop.lib.wsrs.BooleanParam

- Direct Known Subclasses:
    HttpFSParametersProvider.DataParam, HttpFSParametersProvider.NoRedirectParam, HttpFSParametersProvider.OverwriteParam, HttpFSParametersProvider.RecursiveParam

      @InterfaceAudience.Private
      public abstract class BooleanParam
      extends Param<Boolean>

- - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.lib.wsrs.Param

      `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BooleanParam(String name, Boolean defaultValue)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getDomain()`
    `protected Boolean` | `parse(String str)`

    - ### Methods inherited from class org.apache.hadoop.lib.wsrs.Param

      `getName, parseParam, toString, value`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BooleanParam

          public BooleanParam(String name,
                              Boolean defaultValue)

  - ### Method Detail

    - #### parse

          protected Boolean parse(String str)
                           throws Exception

      Specified by:
        `parse` in class `Param<Boolean>`
      Throws:
        `Exception`

    - #### getDomain

          protected String getDomain()

      Specified by:
        `getDomain` in class `Param<Boolean>`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.